Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class Accept

    java.lang.Object
      org.apache.sandesha2.wsrm.Accept

All Implemented Interfaces:
  IOMRMElement

    public class Accept

extends java.lang.Object
implements IOMRMElement

Represents the RM Accept element which may come within the Create Sequence Response.

Constructor Summary
`Accept(java.lang.String rmNamespaceValue)`
`Accept(java.lang.String rmNamespace, AcksTo acksTo)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement element)`
`AcksTo` | `getAcksTo()`
`java.lang.String` | `getAddressingNamespaceValue()`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setAcksTo(AcksTo acksTo)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Accept

    public Accept(java.lang.String rmNamespaceValue)
           throws SandeshaException

Throws:
  `SandeshaException`

### Accept

    public Accept(java.lang.String rmNamespace,
                  AcksTo acksTo)
           throws SandeshaException

Throws:
  `SandeshaException`

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`

### getAddressingNamespaceValue

    public java.lang.String getAddressingNamespaceValue()

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement element)
                                   throws org.apache.axiom.om.OMException,
                                          org.apache.axis2.AxisFault

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`
    `org.apache.axis2.AxisFault`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement element)
                                              throws org.apache.axiom.om.OMException,
                                                     org.apache.axis2.AxisFault

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`
    `org.apache.axis2.AxisFault`

### setAcksTo

    public void setAcksTo(AcksTo acksTo)

### getAcksTo

    public AcksTo getAcksTo()

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.